<?php
/**
* Global Color Settings.
*
* @package Elegant Jewellery
*/

$elegant_jewellery_default = elegant_jewellery_get_default_theme_options();

// Layout Section.
$wp_customize->add_section( 'elegant_jewellery_global_secondary_color_setting',
	array(
	'title'      => esc_html__( 'Global Color Settings', 'elegant-jewellery' ),
	'priority'   => 1,
	'capability' => 'edit_theme_options',
	'panel'      => 'elegant_jewellery_theme_option_panel',
	)
);

$wp_customize->add_setting( 'elegant_jewellery_global_color',
    array(
    'default'           => '#F5AA9D ',
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_hex_color',
    )
);
$wp_customize->add_control( 
    new WP_Customize_Color_Control( 
    $wp_customize, 
    'elegant_jewellery_global_color',
    array(
        'label'      => esc_html__( 'Global Color', 'elegant-jewellery' ),
        'section'    => 'elegant_jewellery_global_color_setting',
        'settings'   => 'elegant_jewellery_global_color',
    ) ) 
);

$wp_customize->add_setting( 'elegant_jewellery_global_secondary_color',
    array(
    'default'           => '#1a1a1a',
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_hex_color',
    )
);
$wp_customize->add_control( 
    new WP_Customize_Color_Control( 
    $wp_customize, 
    'elegant_jewellery_global_secondary_color',
    array(
        'label'      => esc_html__( 'Secondary Color', 'elegant-jewellery' ),
        'section'    => 'elegant_jewellery_global_color_setting',
        'settings'   => 'elegant_jewellery_global_secondary_color',
    ) ) 
);